<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yifu.cloud.plus.v1.yifu.salary.mapper.SysMessageSalaryTempMapper">
    <resultMap id="sysMessageSalaryTempMap" type="com.yifu.cloud.plus.v1.yifu.salary.entity.SysMessageSalaryTemp">
        <id property="id" column="id"/>
        <result property="relateId" column="RELATE_ID"/>
        <result property="times" column="times"/>
    </resultMap>
    <sql id="Base_Column_List">
             a.id,
                  a.RELATE_ID,
                  a.times
         </sql>
    <sql id="sysMessageSalaryTemp_where">
        <if test="sysMessageSalaryTemp != null">
            <if test="sysMessageSalaryTemp.id != null and sysMessageSalaryTemp.id.trim() != ''">
                AND a.id = #{sysMessageSalaryTemp.id}
            </if>
            <if test="sysMessageSalaryTemp.relateId != null and sysMessageSalaryTemp.relateId.trim() != ''">
                AND a.RELATE_ID = #{sysMessageSalaryTemp.relateId}
            </if>
            <if test="sysMessageSalaryTemp.times != null">
                AND a.times = #{sysMessageSalaryTemp.times}
            </if>
        </if>
    </sql>
    <!--sysMessageSalaryTemp简单分页查询-->
    <select id="getSysMessageSalaryTempPage" resultMap="sysMessageSalaryTempMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM sys_message_salary_temp a
        <where>
            1=1
            <include refid="sysMessageSalaryTemp_where"/>
        </where>
    </select>
</mapper>
